# Subscribe This call performs many actions. Use the subscribe call to bundle information required to create at least one new subscription. The call takes in an array of SubscribeRequests. Because it takes an array, you can submit a batch of subscription requests at once. You can create up to 50 different subscriptions in a single subscribe call. This is a combined call that you can use to perform all of the following tasks in a single call: * Create accounts * Create contacts * Create payment methods, including external payment options * Create an invoice for the subscription * Apply the first payment to a subscription ### Object Limits * 50 objects are supported in a single call. * The subscribe call for subscription preview will not consolidate invoices. Subscriptions are previewed separately. There is not any workaround without Orders enabled. For more information, see Preview an Order. ### Effective Date If the effective date is in the future, the invoices will not be generated, and there will be no invoice number. ### Subscription Name, Number, and ID #### Subscription Name and Number The subscription name is a unique identifier for the subscription. If you do not specify a value for the name, Zuora will create one automatically. The automatically generated value is known as the subscription number, such as A-S00000080. You cannot change the subscription name or number after creating the subscription. - Subscription name: The name that you set for the subscription. - Subscription number: The value generated by Zuora automatically if you do not specify a subscription name. Both the subscription name and numbermust be unique. If they are not, an error will occur. #### Subscription ID The subscription ID is a 32-digit ID in the format 4028xxxx. This is also the unique identifier for a subscription. This value is automatically generated by the system and cannot be edited or updated, but it can be queried. One subscription can have only one subscription name or number, but it can have multiple IDs: Each version of a subscription has a different ID. The Subscription object contains the fields OriginalId and PreviousSubscriptionId. OriginalId is the ID for the first version of a subscription. PreviousSubscriptionId is the ID of the version created immediately prior to the current version. ### Subscription Preview You can preview invoices that would be generated by the subscribe call. When previewing invoices with the subscribe call, the correspondinig Contract Effective, Service Activation, or Customer Acceptance date is required if the subscription contains a charge with its trigger event being set as ContractEffectiveDate, ServiceActivationDate, or CustomerAcceptanceDate. To view taxation item data for invoices and credit memos in the subscription preview response, you need to set the X-Zuora-WSDL-Version request header to 120 or later. ### Invoice Subscriptions Separately If you have enabled the invoice subscriptions separately feature, a subscribe call will generate an invoice for each subscription for every subscription where the field IsInvoiceSeparate is set to true. If the invoice subscriptions separately feature is disabled, a subscribe call will generate a single invoice for all subscriptions. See Invoicing Subscriptions Separately for more information. ### Subscriptions and Draft Invoices If a draft invoice that includes charges exists in a customer account, using the subscribe call to create a new subscription and generate an invoice will cause the new subscription to be added to the existing draft invoice. Zuora will then post the invoice. ### When to Use Subscribe and Create Calls You can use either the subscribe call or the create call to create the objects associated with a subscription (accounts, contacts, and so on). There are differences between these calls, however, and some situations are better for one or the other. #### Use the Subscribe Call The subscribe call bundles up all the information you need for a subscription. Use the subscribe call to create new subscriptions when you have all the information you need. Subscribe calls cannot update BillTo, SoldTo, and Account objects. Payment information objects cannot be updated if there is an existing account ID in the call. These objects are not supported in a subscribe call. #### Use the Create Call The create call is more useful when you want to develop in stages. For example, if you want to first create an account, then a contact, and so on. If you do not have all information available, use the create call. To create a subscription, you must activate the account from Draft status to Active by calling the subscribe call. Endpoint: POST /v1/action/subscribe Version: 2025-12-17 ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `X-Zuora-WSDL-Version` (string) Zuora WSDL version number. ## Query parameters: - `rejectUnknownFields` (boolean) Specifies whether the call fails if the request body contains unknown fields. With rejectUnknownFields set to true, Zuora returns a 400 response if the request body contains unknown fields. The body of the 400 response is: json { "message": "Error - unrecognised fields" } By default, Zuora ignores unknown fields in the request body. ## Request fields (application/json): - `subscribes` (array, required) Example: [{"Account":{"Name":"Amy Lawrence","Currency":"USD","BillCycleDay":1,"Batch":"Batch1","PaymentTerm":"Net 30"},"BillToContact":{"FirstName":"Amy","LastName":"Lawrence","Country":"United States","State":"CA"},"PaymentMethod":{"Type":"CreditCard","CreditCardType":"Visa","CreditCardNumber":"4111111111111111","CreditCardExpirationYear":2030,"CreditCardExpirationMonth":12,"CreditCardHolderName":"Amy Lawrence"},"SubscriptionData":{"Subscription":{"ContractEffectiveDate":"2024-07-01","TermType":"TERMED","InitialTerm":12,"RenewalTerm":12},"RatePlanData":[{"RatePlan":{"ProductRatePlanId":"8ad081dd9096ef9501909b40bb4e74a4"}}]}}] - `subscribes.Account` (object, required) This is the Account object containing the information for this particular subscription. It has all the information needed to create an account for a subscription. Values: A valid account. - `subscribes.Account.AccountNumber` (string) Unique account number assigned to the account. Character limit: 50 Values: one of the following: - null to auto-generate - a string of 50 characters or fewer that doesn't begin with the default account number prefix - `subscribes.Account.AdditionalEmailAddresses` (string) List of additional email addresses to receive emailed invoices. Character limit: 120 Values: comma-separated list of email addresses - `subscribes.Account.AllowInvoiceEdit` (boolean) Indicates if associated invoices can be edited. Character limit: 5 Values: true, false (default if left null) - `subscribes.Account.AutoPay` (boolean) Indicates if future payments are automatically collected when they're due during a Payment Run. Character limit: 5 Values: true, false (default) - `subscribes.Account.Batch` (string, required) Organizes your customer accounts into groups to optimize\ \ your billing and payment operations.\n\n\nCharacter limit: 20\n\n\ \nValues:any system-defined batch (Batch1 - Batch50 or by name). Note: By default, you have 50 configurable account batches. To increase the limit to 200 batches, you must have the Performance Booster Elite package. - `subscribes.Account.BcdSettingOption` (string) Billing cycle day setting option. Character limit: 9 Values: AutoSet, ManualSet - `subscribes.Account.BillCycleDay` (integer, required) Billing cycle day (BCD) on which bill runs generate invoices for the account. Character limit: 2 Values: any activated system-defined bill cycle day (1 - 31) - `subscribes.Account.CommunicationProfileId` (string) Associates the account with a specified communication profile. Character limit: 32 Values: a valid communication profile ID - `subscribes.Account.CrmId` (string) CRM account ID for the account. A CRM is a customer relationship management system, such as Salesforce.com. Character limit: 100 Values: a string of 100 characters or fewer - `subscribes.Account.Currency` (string, required) Currency that the customer is billed in. See [a currency value defined in the Zuora Ui admin settings](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Customize_Currencies) - `subscribes.Account.CustomerServiceRepName` (string) Name of the account's customer service representative, if applicable. Character limit: 50 Values: a string of 50 characters or fewer - `subscribes.Account.DefaultPaymentMethodId` (string) ID of the default payment method for the account. This field is only required if the AutoPay field is set to true. Character limit: 32 Values: A valid ID for an existing payment method. This field does not support external payment methods. - `subscribes.Account.Id` (string) Internal identifier of an existing account. Only set this field if you want to assign the subscription to an existing account. - `subscribes.Account.InvoiceDeliveryPrefsEmail` (boolean) Indicates if the customer wants to receive invoices through email. Character limit: 5 Values: true, false (default if left null) - `subscribes.Account.InvoiceDeliveryPrefsPrint` (boolean) Indicates if the customer wants to receive printed invoices, such as through postal mail. Character limit: 5 Values: true, false (default if left null) - `subscribes.Account.InvoiceTemplateId` (string) The ID of the invoice template. Each customer account can use a specific invoice template for invoice generation. Character limit: 32 Values: a[ valid template ID configured in Z-Billing Settings](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Manage_Invoice_Rules_and_Templates) To find the ID of your current invoice template: In Zuora, navigate to Settings > Z-Billing > Manage Invoice Rules and Templates and click Show Id next to the template you want to use. - `subscribes.Account.LastInvoiceDate` (string) The date when the previous invoice was generated for the account. The field value is null if no invoice has ever been generated for the account. Character limit: 29 Values: automatically generated - `subscribes.Account.Name` (string, required) Name of the account as displayed in the Zuora UI. Character limit: 255 Values: a string of 255 characters or fewer - `subscribes.Account.Notes` (string) Comments about the account. Character limit: 65,535 Values: a string of 65,535 characters - `subscribes.Account.ParentId` (string) Identifier of the parent customer account for this Account object. Use this field if you have customer hierarchy enabled. Character limit: 32 Values: a valid account ID - `subscribes.Account.PaymentGateway` (string) Gateway used for processing electronic payments and refunds. This field is only required if there is no default payment gateway is defined in the tenant. Character limit: 40 Values: one of the following: - a valid configured gateway name - Null to inherit the default value set in Z-Payment Settings - `subscribes.Account.PaymentTerm` (string) Indicates when the customer pays for subscriptions. Character limit: 100 Values: [a valid, active payment term defined in the web-based UI administrative settings](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Payment_Terms) - `subscribes.Account.PurchaseOrderNumber` (string) The number of the purchase order associated with this account. Purchase order information generally comes from customers. Character limit: 100 Values: a string of 100 characters or fewer - `subscribes.Account.SalesRepName` (string) The name of the sales representative associated with this account, if applicable. Character limit: 50 Values: a string of 50 characters or fewer - `subscribes.Account.TaxCompanyCode` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on origin and sold-to addresses in Avalara. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Character limit: 50 Values: a valid company code - `subscribes.Account.TaxExemptCertificateID` (string) ID of your customer's tax exemption certificate. Character limit: 32 Values: a string of 32 characters or fewer - `subscribes.Account.TaxExemptCertificateType` (string) Type of the tax exemption certificate that your customer holds. Character limit: 32 Values: a string of 32 characters or fewer - `subscribes.Account.TaxExemptDescription` (string) Description of the tax exemption certificate that your customer holds. Character limit: 500 Values: a string of 500 characters or fewer - `subscribes.Account.TaxExemptEffectiveDate` (string) Date when the the customer's tax exemption starts. Character limit: 29 Version notes: requires Z-Tax - `subscribes.Account.TaxExemptExpirationDate` (string) Date when the customer's tax exemption certificate expires Character limit: 29 Version notes: requires Z-Tax - `subscribes.Account.TaxExemptIssuingJurisdiction` (string) Indicates the jurisdiction in which the customer's tax exemption certificate was issued. Character limit: 32 Values: a string of 32 characters or fewer - `subscribes.Account.TaxExemptStatus` (string) Status of the account's tax exemption. This field is only required if you use Zuora Tax. This field is not available if you do not use Zuora Tax. Character limit: 19 Values: one of the following: - Yes - No - PendingVerification - `subscribes.Account.TotalInvoiceBalance` (number) Total balance of the account's invoices. Character limit: 16 Values: a valid currency value - `subscribes.Account.VATId` (string) EU Value Added Tax ID. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Character limit: 25 Values: a valid Value Added Tax ID - `subscribes.Account.Class__NS` (string) Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.CustomerType__NS` (string) Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Company", "Individual" - `subscribes.Account.Department__NS` (string) Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.IntegrationStatus__NS` (string) Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.Location__NS` (string) Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.Subsidiary__NS` (string) Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.SyncDate__NS` (string) Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.Account.SynctoNetSuite__NS` (string) Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" - `subscribes.BillToContact` (object) This is the object that contains the contact associated with this account in the Account's BillToId field. This field is only required if the account does not exist. Values: A valid contact for the account. - `subscribes.BillToContact.AccountId` (string) The Zuora account ID associated with this contact. This field is not required when you use the subscribe call. This field is required for all other calls. Character limit: 32 Values: a valid account ID - `subscribes.BillToContact.Address1` (string) The first line of the contact's address, which is often a street address or business name. Character limit: 255 Values: a string of 255 characters or fewer - `subscribes.BillToContact.Address2` (string) The second line of the contact's address. Character limit: 255 Values: a string of 255 characters or fewer - `subscribes.BillToContact.City` (string) The city of the contact's address. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.BillToContact.Country` (string) The country of the contact's address. This field is only required if you enbale taxation. - `subscribes.BillToContact.County` (string) The country. May optionally be used by [Z-Tax](/C_Zuora_User_Guides/A_Billing_and_Payments/I_Taxes/Z-Tax) to calculate county tax. Character limit: 32 Values: a string of 32 characters or fewer - `subscribes.BillToContact.CreatedById` (string) The ID of the Zuora user who created the contact. Character limit: 32 Values: automatically generated - `subscribes.BillToContact.CreatedDate` (string) The date when the contact was created. Character limit: 29 Values: automatically generated - `subscribes.BillToContact.Description` (string) A description for the contact. Character limit: 100 Values: a string of 100 characters or fewer - `subscribes.BillToContact.Fax` (string) The contact's fax number. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.BillToContact.FirstName` (string, required) The contact's first name. Character limit: 100 Values: a string of the contact's first name - `subscribes.BillToContact.HomePhone` (string) The contact's home phone number. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.BillToContact.LastName` (string, required) The contact's last name. Character limit: 100 Values: a string of 100 characters or fewer - `subscribes.BillToContact.MobilePhone` (string) The contact's mobile phone number. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.BillToContact.NickName` (string) A nickname for the contact. Character limit: 100 Values: a string of 100 characters or fewer - `subscribes.BillToContact.OtherPhone` (string) An additional phone number for the contact. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.BillToContact.OtherPhoneType` (string) The type of the OtherPhone. Character limit: 20 Values: Work, Mobile, Home, Other - `subscribes.BillToContact.PersonalEmail` (string) The contact's personal email address. Character limit: 80 Values: a string of 80 characters or fewer - `subscribes.BillToContact.PostalCode` (string) The zip code for the contact's address. Character limit: 20 Values: a string of 20 characters or fewer - `subscribes.BillToContact.State` (string) The state or province of the contact's address. - `subscribes.BillToContact.TaxRegion` (string) If using [Z-Tax](https://knowledgecenter.zuora.com/CB_Billing/J_Billing_Operations/L_Taxes/A_Z-Tax) tax rules - `subscribes.BillToContact.UpdatedById` (string) The ID of the user who lasted updated the contact. Character limit: 32 Values: automatically generated - `subscribes.BillToContact.UpdatedDate` (string) The date when the contact was last updated. Character limit: 29 Values: automatically generated - `subscribes.BillToContact.WorkEmail` (string) The contact's business email address. Character limit: 80 Values: a string of 80 characters or fewer - `subscribes.BillToContact.WorkPhone` (string) The contact's business phone number. Character limit: 40 notes: -- Values: a string of 40 characters or fewer - `subscribes.PaymentMethod` (object) This is the object defining the payment details for the Account. The Account will be updated with this payment as the default payment method. Use this field to create an electronic payment method for the account. A payment gateway must be enabled. Values: A valid electronic PaymentMethod. - `subscribes.PaymentMethod.AccountId` (string) The ID of the customer account associated with this payment method. - `subscribes.PaymentMethod.AchAbaCode` (string) The nine-digit routing number or ABA number used by banks. This field is only required if the Type field is set to ACH. Character limit: 9 Values: a string of 9 characters or fewer - `subscribes.PaymentMethod.AchAccountName` (string) The name of the account holder, which can be either a person or a company. This field is only required if the Type field is set to ACH. Character limit: 70 Values: a string of 70 characters or fewer - `subscribes.PaymentMethod.AchAccountNumber` (string) The bank account number associated with the ACH payment. This field is only required if the Type field is set to ACH. Character limit: 30 Values: a string of 30 numeric characters or fewer - `subscribes.PaymentMethod.AchAccountNumberMask` (string) This is a masked displayable version of the ACH account number, used for security purposes. For example: XXXXXXXXX54321. Use this field for ACH payment methods. Character limit: 32 Values: automatically generated - `subscribes.PaymentMethod.AchAccountType` (string) The type of bank account associated with the ACH payment. This field is only required if the Type field is set to ACH. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify any of the allowed values as a dummy value, Checking preferably. Character limit: 16 Values: - BusinessChecking - BusinessSaving - Checking - Saving - `subscribes.PaymentMethod.AchAddress1` (string) Line 1 for the ACH address. Required on create for the Vantiv payment gateway. Optional for other gateways. Character limit: Values: an address - `subscribes.PaymentMethod.AchAddress2` (string) Line 2 for the ACH address. Required on create for the Vantiv payment gateway. Optional for other gateways. Character limit: Values: an address - `subscribes.PaymentMethod.AchBankName` (string) The name of the bank where the ACH payment account is held. Use this field for ACH payment methods. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify a dummy value. Character limit: 70 Values: a string of 70 characters or fewer - `subscribes.PaymentMethod.Active` (boolean) Specifies whether a payment method is available in Zuora. The default value is false. Character limit: 5 Values: true, false - `subscribes.PaymentMethod.BankBranchCode` (string) The branch code of the bank used for direct debit. Use this field for direct debit payment methods. Character limit: 10 Values: string of 10 characters or fewer - `subscribes.PaymentMethod.BankCheckDigit` (string) The check digit in the international bank account number, which confirms the validity of the account. Use this field for direct debit payment methods. Character limit: 4 Values: string of 4 characters or fewer - `subscribes.PaymentMethod.BankCity` (string) The city of the direct debit bank. Use this field for direct debit payment methods. Character limit:70 Values: string of 70 characters or fewer - `subscribes.PaymentMethod.BankCode` (string) The sort code or number that identifies the bank. This is also known as the sort code. This field is required for direct debit payment methods. Character limit: 18 Values: string of 18 characters or fewer - `subscribes.PaymentMethod.BankIdentificationNumber` (string) The first six or eight digits of the payment method's number, such as the credit card number or account number. Banks use this number to identify a payment method. Character limit: 8 Values: string of 8 characters or fewer - `subscribes.PaymentMethod.BankName` (string) The name of the direct debit bank. Use this field for direct debit payment methods. Character limit:80 Values: string of 80 characters or fewer - `subscribes.PaymentMethod.BankPostalCode` (string) The zip code or postal code of the direct debit bank. Use this field for direct debit payment methods. Character limit:20 Values: string of 20 characters or fewer - `subscribes.PaymentMethod.BankStreetName` (string) The name of the street of the direct debit bank. Use this field for direct debit payment methods. Character limit:60 Values: string of 60 characters or fewer - `subscribes.PaymentMethod.BankStreetNumber` (string) The number of the direct debit bank. Use this field for direct debit payment methods. Character limit:10 Values: string of 10 characters or fewer - `subscribes.PaymentMethod.BankTransferAccountName` (string) The name on the direct debit bank account. Use this field for direct debit payment methods. Character limit: 60 Values: string of 60 characters or fewer - `subscribes.PaymentMethod.BankTransferAccountNumber` (string) The number of the customer's bank account. This field is only required if the Type field is set to BankTransfer. Character limit:30 Values: string of 30 characters or fewer - `subscribes.PaymentMethod.BankTransferAccountNumberMask` (string) This is a masked displayable version of the ACH account number, used for security purposes. For example: XXXXXXXXX54321. Character limit: 32 Values: automatically generated - `subscribes.PaymentMethod.BankTransferAccountType` (string) The type of the customer's bank account. Use this field for direct debit payment methods. Character limit: 11 Values: DirectDebit - `subscribes.PaymentMethod.BankTransferType` (string) Specifies the type of direct debit transfer. The value of this field is dependent on the country of the user. This field is only required if the Type field is set to BankTransfer. Character limit: 20 Values: - AutomatischIncasso (NL) - LastschriftDE (Germany) - LastschriftAT (Austria) - DemandeDePrelevement (FR) - DirectDebitUK (UK) - Domicil (Belgium) - LastschriftCH (CH) - RID (Italy) - OrdenDeDomiciliacion (Spain) - `subscribes.PaymentMethod.BusinessIdentificationCode` (string) The business identification code for Swiss direct payment methods that use the Global Collect payment gateway. Use this field only for direct debit payments in Switzerland with Global Collect. Character limit: 11 Values: string of 11 characters or fewer - `subscribes.PaymentMethod.City` (string) The city of the customer's address. Use this field for direct debit payment methods. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. Character limit:80 Values: string of 80 characters or fewer - `subscribes.PaymentMethod.Country` (string) The two-letter country code of the customer's address. This field is only required if the Type field is set to BankTransfer, and the BankTransferType field is set to either DirectDebitUK, DirectEntryAU, or DirectDebitNZ. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. Character limit: 2 Values: a valid country code - `subscribes.PaymentMethod.CreatedById` (string) The user ID of the person who created the PaymentMethod object when there is a login user in the user session. In Hosted Payment Method and Z-Checkout pages, this field is set to 3 as there is no login user to initiate a user session. Character limit: 32 Values: automatically generated - `subscribes.PaymentMethod.CreatedDate` (string) The date when the PaymentMethod object was created in the Zuora system. Character limit: 29 Values: automatically generated - `subscribes.PaymentMethod.CreditCardAddress1` (string) The first line of the card holder's address, which is often a street address or business name. Use this field for credit card and direct debit payment methods. Character limit: 255 Values: a string of 255 characters or fewer - `subscribes.PaymentMethod.CreditCardAddress2` (string) The second line of the card holder's address. Use this field for credit card and direct debit payment methods. Character limit: 255 Values: a string of 255 characters or fewer - `subscribes.PaymentMethod.CreditCardCity` (string) The city of the card holder's address. Use this field for credit card and direct debit payment methods. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.PaymentMethod.CreditCardCountry` (string) The country of the card holder's address. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `subscribes.PaymentMethod.CreditCardExpirationMonth` (integer) The expiration month of the credit card or debit card. This field is only required if the Type field is set to CreditCard or DebitCard. Character limit: 2 Values: a two-digit number, 01 - 12 - `subscribes.PaymentMethod.CreditCardExpirationYear` (integer) The expiration month of the credit card or debit card. This field is only required if the Type field is set to CreditCard or DebitCard. Character limit: 4 Values: a four-digit number - `subscribes.PaymentMethod.CreditCardHolderName` (string) The full name of the card holder. This field is only required if the Type field is set to CreditCard or DebitCard. Character limit: 50 Values: a string of 50 characters or fewer - `subscribes.PaymentMethod.CreditCardMaskNumber` (string) A masked version of the credit or debit card number. Character limit: 32 Values: automatically generated - `subscribes.PaymentMethod.CreditCardNumber` (string) The credit card or debit card number. This is an insert-only field; it cannot be updated nor queried for security purposes. This field is only required if the Type field is set to CreditCard or DebitCard. Character limit: 16 Values: a string of 16 characters or fewer - `subscribes.PaymentMethod.CreditCardPostalCode` (string) The billing address's zip code. This field is required only when you define a debit card or credit card payment. Character limit: 20 Values: a string of 20 characters or fewer - `subscribes.PaymentMethod.CreditCardSecurityCode` (string) The CVV or CVV2 security code. See [How do I control what information Zuora sends over to the Payment Gateway?](https://knowledgecenter.zuora.com/kb/How_do_I_control_information_sent_to_payment_gateways_when_verifying_payment_methods%3F) for more information. To ensure PCI compliance, this value is not stored and cannot be queried. Character limit: Values: a valid CVV or CVV2 security code - `subscribes.PaymentMethod.CreditCardState` (string) The billing address's state. Use this field is if the CreditCardCountry value is either Canada or the US. State names must be spelled in full. - `subscribes.PaymentMethod.CreditCardType` (string) The type of the credit card. Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see [Supported Payment Gateways](https://knowledgecenter.zuora.com/CB_Billing/M_Payment_Gateways/Supported_Payment_Gateways). - `subscribes.PaymentMethod.DeviceSessionId` (string) The session ID of the user when the PaymentMethod was created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, then Zuora passes this field to supported gateways. Currently only Verifi supports this field. Character limit: 255 Values: - `subscribes.PaymentMethod.Email` (string) An email address for the payment method in addition to the bill to contact email address. Character limit: 80 Values: a string of 80 characters or fewer - `subscribes.PaymentMethod.ExistingMandate` (string) Indicates if the customer has an existing mandate or a new mandate. A mandate is a signed authorization for UK and NL customers. When you are migrating mandates from another system, be sure to set this field correctly. If you indicate that a new mandate is an existing mandate or vice-versa, then transactions fail. This field is used only for the direct debit payment method. Character limit: 3 Values: Yes, No - `subscribes.PaymentMethod.FirstName` (string) The customer's first name. This field is used only for the direct debit payment method. Character limit: 30 Values: a string of 30 characters or fewer - `subscribes.PaymentMethod.GatewayOptionData` (object) Use this field to pass gateway options. Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts. Character limit: 255 Values: GatewayOption - `subscribes.PaymentMethod.GatewayOptionData.GatewayOption` (array, required) - `subscribes.PaymentMethod.GatewayOptionData.GatewayOption.name` (string) The name of a gateway-specific parameter. This field is optional, but you must pass value for this field when using the GatewayOptionData field. Otherwise, the additional payment gateway parameter will not be mapped. - `subscribes.PaymentMethod.GatewayOptionData.GatewayOption.value` (string) The value of the gateway-specific parameter. This field is optional, but you must pass value for this field when using the GatewayOptionData field. Otherwise, the additional payment gateway parameter will not be mapped. - `subscribes.PaymentMethod.IBAN` (string) The International Bank Account Number. This field is used only for the direct debit payment method. Character limit: 42 Values: a string of 42 characters or fewer - `subscribes.PaymentMethod.IPAddress` (string) The IPv4 or IPv6 information of the user when the payment method was created or updated. Gateways use this field for fraud prevention. If this field is passed to Zuora, then Zuora passes this field to supported gateways. If the IP address length is beyond 45 characters, a validation error occurs. - `subscribes.PaymentMethod.Id` (string) The ID of this object. Upon creation, the ID of this object is PaymentMethodId. Character limit: 32 Values: automatically generated - `subscribes.PaymentMethod.LastFailedSaleTransactionDate` (string) The date of the last failed attempt to collect payment with this payment method. Character limit: 29 Values: automatically generated - `subscribes.PaymentMethod.LastName` (string) The customer's last name. This field is used only for the direct debit payment method. Character limit: 70 Values: a string of 70 characters or fewer - `subscribes.PaymentMethod.LastTransactionDateTime` (string) The date of the most recent transaction. Character limit: 29 Values: a valid date and time value - `subscribes.PaymentMethod.LastTransactionStatus` (string) The status of the most recent transaction. Character limit: 39 Values: automatically generated - `subscribes.PaymentMethod.MandateCreationDate` (string) The date when the mandate was created, in yyyy-mm-dd format. A mandate is a signed authorization for UK and NL customers. This field is used only for the direct debit payment method. Character limit: 29 - `subscribes.PaymentMethod.MandateID` (string) The ID of the mandate. A mandate is a signed authorization for UK and NL customers. This field is used only for the direct debit payment method. Character limit: 36 Values: a string of 36 characters or fewer - `subscribes.PaymentMethod.MandateReceived` (string) Indicates if the mandate was received. A mandate is a signed authorization for UK and NL customers. This field is used only for the direct debit payment method. Character limit: 3 Values: Yes, No (case-sensitive) - `subscribes.PaymentMethod.MandateUpdateDate` (string) The date when the mandate was last updated, in yyyy-mm-dd format. A mandate is a signed authorization for UK and NL customers. This field is used only for the direct debit payment method. Character limit: 29 - `subscribes.PaymentMethod.MaxConsecutivePaymentFailures` (integer) Specifies the number of allowable consecutive failures Zuora attempts with the payment method before stopping. When the UseDefaultRetryRule field is set to false, this field is only required if the PaymentRetryWindow field is not defined. Values: a valid number - `subscribes.PaymentMethod.MitConsentAgreementRef` (string) Specifies your reference for the stored credential consent agreement that you have established with the customer. Only applicable if you set the MitProfileAction field. - `subscribes.PaymentMethod.MitConsentAgreementSrc` (string) Required if you set the MitProfileAction field. If you do not specify the MitProfileAction field, Zuora will automatically create a stored credential profile for the payment method, with the default value External set to this field. Enum: "External" - `subscribes.PaymentMethod.MitNetworkTransactionId` (string) Specifies the ID of a network transaction. Only applicable if you set the MitProfileAction field to Persist. - `subscribes.PaymentMethod.MitProfileAction` (string) Specifies how Zuora creates and activates a stored credential profile. If you do not specify this field, Zuora will automatically create a stored credential profile for the payment method, with the default value Activate set to this field. Enum: "Activate", "Persist" - `subscribes.PaymentMethod.MitProfileAgreedOn` (string) The date on which the profile is agreed. The date format is yyyy-mm-dd. - `subscribes.PaymentMethod.MitProfileType` (string) Required if you set the MitProfileAction field. If you do not specify the MitProfileAction field, Zuora will automatically create a stored credential profile for the payment method, with the default value Recurring set to this field. Enum: "Recurring" - `subscribes.PaymentMethod.Name` (string) Create Query Delete Filter - `subscribes.PaymentMethod.NumConsecutiveFailures` (integer) The number of consecutive failed payment for this payment method. It is reset to 0 upon successful payment. You can use the API to update the field value to 0. Character limit: Values: a positive whole number - `subscribes.PaymentMethod.PaymentMethodStatus` (string) Specifies the status of the payment method. It is set to Active on creation. Character limit: 6 Values: Active or Closed PaymentMethodStatus should not be used in the create call. You can only set this field to Closed via the update call. - `subscribes.PaymentMethod.PaymentRetryWindow` (integer) The retry interval setting, which prevents making a payment attempt if the last failed attempt was within the last specified number of hours. When the UseDefaultRetryRule field is set to false, this field is only required if the MaxConsecutivePaymentFailures field is not defined. Character limit: 4 Values: a whole number between 1 and 1000, exclusive - `subscribes.PaymentMethod.PaypalBaid` (string) The PayPal billing agreement ID, which is a contract between two PayPal accounts. Typically, the selling party initiates a request to create a BAID, and sends it to buying party for acceptance. The seller can keep track of the BAID and use it for future charges against the buyer. This field is only required if the Type field is set to PayPal. Character limit: 64 Values: a string of 64 characters or fewer - `subscribes.PaymentMethod.PaypalEmail` (string) The email address associated with the account holder's PayPal account or of the PayPal account of the person paying for the service. This field is only required if the Type field is set to PayPal. Character limit: 80 Values: a string of 80 characters or fewer - `subscribes.PaymentMethod.PaypalPreapprovalKey` (string) PayPal's Adaptive Payments API key. Zuora does not create this key, nor does it call PayPal to generate it. You must use PayPal's Adaptive Payments' API to generate this key, and then pass it to Zuora. Zuora uses this key to authorize future payments to PayPal's Adaptive Payments API. This field is only required if you use PayPal Adaptive Payments gateway. Character limit: 32 Values: a valid PayPal Adaptive Payment pre-approval key - `subscribes.PaymentMethod.PaypalType` (string) Specifies the PayPal gateway: PayFlow Pro, Express Checkout, or Adaptive Payments. This field is only required if you use the PayPal Adaptive Payments, Payflow Pro, or Express Checkout gateway. Character limit: 32 Values: ExpressCheckout, NativeExpressCheckout, AdaptivePayments - `subscribes.PaymentMethod.Phone` (string) The phone number that the account holder registered with the bank. This field is used for credit card validation when passing to a gateway. Character limit: 40 Values: a string of 40 characters or fewer - `subscribes.PaymentMethod.PostalCode` (string) The zip code of the customer's address. This field is used only for the direct debit payment method. Character limit: 20 Values: a string of 20 characters or fewer - `subscribes.PaymentMethod.SecondTokenId` (string) A gateway unique identifier that replaces sensitive payment method data. SecondTokenId is conditionally required only when TokenID is being used to represent a gateway customer profile. SecondTokenId is used in the CC Reference Transaction payment method. Character limit: 64 Values: a string of 64 characters or fewer - `subscribes.PaymentMethod.SkipValidation` (boolean) Creates the payment method even if authorization fails with the payment gateway. Character limit: 5 Values: true, false - `subscribes.PaymentMethod.State` (string) The state of the customer's address. This field is used only for the direct debit payment method. Character limit: 70 Values: a string of 70 characters or fewer - `subscribes.PaymentMethod.StreetName` (string) The street name of the customer's address. This field is used only for the direct debit payment method. Character limit: 100 Values: a string of 100 characters or fewer - `subscribes.PaymentMethod.StreetNumber` (string) The street number of the customer's address. This field is used only for the direct debit payment method. Character limit: 30 Values: a string of 30 characters or fewer - `subscribes.PaymentMethod.TokenId` (string) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. If you want to create an Amazon Pay payment method, specify AmazonBillingAgreementId for this field. While TokenId is used to represent a customer profile, SecondTokenId is conditionally required for representing the underlying tokenized payment method. When the Type field is set to CreditCardReferenceTransaction, this field is required if the CreditCardNumber field is not specified. The values for the TokenId and SecondTokenId fields differ for gateways. For more information, see the Knowledge Center article specific to each gateway that supports the CC Reference Transaction payment method. Character limit: 255 Values: a string of 255 characters or fewer - `subscribes.PaymentMethod.TotalNumberOfErrorPayments` (integer) The number of error payments that used this payment method. Character limit: Values: automatically generated - `subscribes.PaymentMethod.TotalNumberOfProcessedPayments` (integer) The number of successful payments that used this payment method. Character limit: Values: automatically generated - `subscribes.PaymentMethod.Type` (string, required) The type of payment method. If you want to create an Amazon Pay payment method, specify CreditCardReferenceTransaction for this field. Enum: "ACH", "BankTransfer", "CreditCard", "CreditCardReferenceTransaction", "DebitCard", "PayPal" - `subscribes.PaymentMethod.UpdatedById` (string) The ID of the user who last updated the payment method. Character limit: 32 Values: automatically generated - `subscribes.PaymentMethod.UpdatedDate` (string) The date when the payment method was last updated. Character limit: 29 Values: automatically generated - `subscribes.PaymentMethod.UseDefaultRetryRule` (boolean) Determines whether to use the default retry rules configured in the [Z-Payments settings](https://knowledgecenter.zuora.com/CB_Billing/L_Payment_Methods/H_Configure_Payment_Method_Retry_Rules). Set this to true to use the default retry rules. Set this to false to set the specific rules for this payment method. If you set this value to false, then the fields, PaymentRetryWindow and MaxConsecutivePaymentFailures, are required. Character limit: 5 Values: true, false - `subscribes.PreviewOptions` (object) Only used if you want to call this operation in preview mode. After a call in preview mode is completed, Zuora will roll back the subscription and return only the temporary invoice data. - `subscribes.PreviewOptions.EnablePreviewMode` (boolean) Specifies whether the call should create a subscription/amendment, or whether it should return a preview of the order. Used with either NumberOfPeriods or PreviewThroughTermEnd. If the preview mode is enabled, Zuora recommends that you set the subscribes > SubscribeOptions > ProcessPayments field to false and skip setting the subscribes > PaymentMethod field in your request so that no charge occurs for payment method validation in a preview. - `subscribes.PreviewOptions.NumberOfPeriods` (integer) The number of invoice periods to show in a preview. - `subscribes.PreviewOptions.PreviewThroughTermEnd` (boolean) Specifies whether to preview the charge through the end of the subscription term. Applicable to termed subscriptions only. - `subscribes.PreviewOptions.PreviewType` (string) The type of preview to return: * InvoiceItem - Return an invoice item preview * ChargeMetrics - Return a charge metrics preview * InvoiceItemChargeMetrics - Return an invoice item and charge metrics of that item Enum: "InvoiceItem", "ChargeMetrics", "InvoiceItemChargeMetrics" - `subscribes.SoldToContact` (object) Unless otherwise specified, this field defaults to the information in the BillToContact field. Values: A valid contact. - `subscribes.SoldToContact.Country` (string) The country of the contact's address. - `subscribes.SubscribeOptions` (object) This optional object specifies parameters related to invoicing - whether to immediately generate an invoice and collect payment, and whether the invoice should cover all subscriptions or just this new subscription. The default behavior is to invoice immediately for all the account's subscriptions, with the current date as the target date, and immediately collect payment if the account's AutoPay flag is true. Values: A valid SubscribeOptions object. - `subscribes.SubscribeOptions.ApplicationOrder` (array) The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: CreditMemo, UnappliedPayment. Note: - This field is only available if you have the Invoice Settlement feature enabled and set the X-Zuora-WSDL-Version request header to 107 or later. - This field is valid only if the applyCredit field is set to true. - If no value is specified for this field, the default priority order is used, ["CreditMemo", "UnappliedPayment"], to apply credit memos first and then apply unapplied payments. - If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is ["CreditMemo"], only credit memos are used to apply to invoices. - `subscribes.SubscribeOptions.ApplyCredit` (boolean) If the value is true, the credit memo or unapplied payment on the order account will be automatically applied to the invoices generated by this order. The credit memo generated by this order will not be automatically applied to any invoices. Note: This field is only available if you have the Invoice Settlement feature enabled and set the X-Zuora-WSDL-Version request header to 107 or later. - `subscribes.SubscribeOptions.ApplyCreditBalance` (boolean) - `subscribes.SubscribeOptions.ElectronicPaymentOptions` (object) - `subscribes.SubscribeOptions.ElectronicPaymentOptions.PaymentMethodId` (string) ID of a credit card payment method. - `subscribes.SubscribeOptions.ExternalPaymentOptions` (object) - `subscribes.SubscribeOptions.ExternalPaymentOptions.Amount` (number) - `subscribes.SubscribeOptions.ExternalPaymentOptions.EffectiveDate` (string) - `subscribes.SubscribeOptions.ExternalPaymentOptions.GatewayOrderId` (string) - `subscribes.SubscribeOptions.ExternalPaymentOptions.PaymentMethodId` (string) - `subscribes.SubscribeOptions.ExternalPaymentOptions.ReferenceId` (string) - `subscribes.SubscribeOptions.GenerateInvoice` (boolean, required) - `subscribes.SubscribeOptions.ProcessPayments` (boolean, required) Use this when you are using electronic payment types. If GenerateInvoice is true, specifies whether payment should be applied when the subscription is created. If the Account > AutoPay flag is true and GenerateInvoice is true and ProcessPayments is true, then the payment is created for the invoice balance and charged. The default value is true. If a temporary error that Zuora cannot create or submit a payment to the gateway is seen, Zuora will automatically retry the action to collect the payment. You can contact [Zuora Global Support](https://support.zuora.com/) to set the maximum number of retries that Zuora can perform. The number can range from 0 to 2 with a default value of 0. However, retrying the request can make the API call take longer than expected. Zuora does not guarantee the retry could be completed within the timeout limit. Note: The retry mechanism only supports the case that one single subscription is created by the Subscribe action. Also, the retry mechanism does not support the preview mode of the Subscribe action. - `subscribes.SubscribeOptions.SubscribeInvoiceProcessingOptions` (object) - `subscribes.SubscribeOptions.SubscribeInvoiceProcessingOptions.InvoiceDate` (string) - `subscribes.SubscribeOptions.SubscribeInvoiceProcessingOptions.InvoiceProcessingScope` (string) A string specifying the scope of the requested invoice. Possible values: * Account invoice for all subscriptions within the account - the default value. If the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items) feature is enabled, invoices for order line items within the account will also be generated. * Subscription invoice for only the subscription being created in this call - `subscribes.SubscribeOptions.SubscribeInvoiceProcessingOptions.InvoiceTargetDate` (string) - `subscribes.SubscriptionData` (object, required) This object contains the information on the contract's dates and terms. Values: A valid SubscriptionData object. - `subscribes.SubscriptionData.RatePlanData` (array, required) - `subscribes.SubscriptionData.RatePlanData.RatePlan` (object, required) Container for custom fields of a Rate Plan object. - `subscribes.SubscriptionData.RatePlanData.RatePlan.AmendmentId` (string) The ID of the amendment associated with the rate plan. This field only applies to amendment rate plans. Character limit: 32 Values: a valid amendment ID - `subscribes.SubscriptionData.RatePlanData.RatePlan.AmendmentSubscriptionRatePlanId` (string) The ID of the subscription rate plan modified by the amendment. This field only applies to amendment rate plans. Character limit: 32 Values: a valid rate plan ID - `subscribes.SubscriptionData.RatePlanData.RatePlan.AmendmentType` (string) The type of amendment associated with the rate plan. This field only applies to amendment rate plans. Character limit: 18 Values: inherited from Amendment.Type - `subscribes.SubscriptionData.RatePlanData.RatePlan.CreatedById` (string) The ID of the Zuora user who created the RatePlan object. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlan.CreatedDate` (string) The date when the RatePlan object was last updated. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlan.ExternallyManagedPlanId` (string) The unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `subscribes.SubscriptionData.RatePlanData.RatePlan.Name` (string) The name of the rate plan. Leave this null in a subscribe call to inherited the ProductRatePlan.Name field value. Character limit: 100 Values: a string of 100 characters or fewer or inherited from ProductRatePlan.Name - `subscribes.SubscriptionData.RatePlanData.RatePlan.ProductRatePlanId` (string, required) The ID of the associated product rate plan. Character limit: 32 Values: a valid product rate plan ID - `subscribes.SubscriptionData.RatePlanData.RatePlan.SubscriptionId` (string) The ID of the subscription that the rate plan belongs to. Character limit: 32 Values: a valid subscription ID - `subscribes.SubscriptionData.RatePlanData.RatePlan.UpdatedById` (string) The ID of the user who last updated the rate plan. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlan.UpdatedDate` (string) The date when the rate plan was last updated. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData` (array) - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge` (object, required) Container for custom fields of a Rate Plan Charge object. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.AccountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. Character limit: 100 Values: inherited from ProductRatePlanCharge.AccountingCode - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ApplyDiscountTo` (string) Specifies the type of charges a specific discount applies to. Character limit: 21 Values: inherited from ProductRatePlanCharge.ApplyDiscountTo - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.BillCycleDay` (integer) Indicates the charge's billing cycle day (BCD), which is when bill runs generate invoices for charges associated with the product rate plan charge or the account. Character limit: 2 Values: inherited from ProductRatePlanCharge.BillCycleDay - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.BillCycleType` (string) Specifies how to determine the billing day for the charge. Character limit: 20 Values: inherited from ProductRatePlanCharge.BillCycleType Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.BillingPeriod` (string) Allows billing period to be overridden on rate plan charge. Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.BillingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Character limit: 24 Values: inherited from ProductRatePlanCharge.BillingPeriodAlignment - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.BillingTiming` (string) The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types. Character limit: Values: one of the following: - In Advance - In Arrears Note: You can override the value inherited from the Product Rate Plan Charge when a subscription has a recurring charge type. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ChargeModel` (string) Determines how to evaluate charges. Charge models must be individually activated in the web-based UI. Character limit: 29 Values: inherited from ProductRatePlanCharge.ChargeModel - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ChargeNumber` (string) A unique number that identifies the charge. This number is returned as a string. Character limit: 50 Values: one of the following: - automatically generated if left null - a unique number of 50 characters or fewer - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ChargeType` (string) Specifies the type of charge. Character limit: 9 Values: inherited from ProductRatePlanCharge.ChargeType - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ChargedThroughDate` (string) The date through which a customer has been billed for the charge. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.CreatedById` (string) The ID of the Zuora user who created the RatePlanCharge object. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.CreatedDate` (string) The date when the RatePlanCharge object was created. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.DMRC` (number) A delta monthly recurring charge is the change in monthly recurring revenue caused by an amendment or a new subscription. Character limit: 16 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.DTCV` (number) After an Amendment, the change in the total contract value (TCV) amount for this charge, compared with its previous value. Character limit: 16 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.Description` (string) A description of the charge. Character limit: 500 Values: inherited from ProductRatePlanCharge.Description - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.DiscountAmount` (number) Specifies the amount of a fixed-amount discount. You can provide a value for this field if the ChargeModel field value is Discount-Fixed Amount. If this field is included in a query, the query will filter out the rate plans whose ChargeModel field is not of a Discount type. You cannot query this field with the following fields in a single query: - Price - IncludedUnits - DiscountPercentage - OveragePrice Character limit: 16 Values: a valid currency amount - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.DiscountLevel` (string) Specifies if the discount applies to just the product rate plan, the entire subscription, or to any activity in the account. This field is only required if the ChargeModel field is set to DiscountFixedAmount or DiscountPercentage. Character limit: 12 Values: inherited from ProductRatePlanCharge.DiscountLevel - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.DiscountPercentage` (number) Query Filter - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.EffectiveEndDate` (string) The date when the segmented charge ends or ended. Character limit: 16 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.EffectiveStartDate` (string) The date when the segmented charge starts or started. Character limit: 16 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.EndDateCondition` (string) Defines when the charge ends after the charge trigger date. This field can be updated when Status is Draft. Values: one of the following: - SubscriptionEnd: The charge ends on the subscription end date after the charge trigger date. This is the default value. - FixedPeriod: The charge ends after a specified period based on the trigger date of the charge. If you set this field to FixedPeriod, you must specify the length of the period and a period type by defining the UpToPeriods and UpToPeriodsType fields. - SpecificEndDate: The specific date on which the charge ends. If you set this field to SpecificEndDate, you must specify the specific date by defining the SpecificEndDate field. Note: If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.IncludedUnits` (number) Query Filter - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.IsLastSegment` (boolean) Indicates if the segment of the rate plan charge is the most recent segment. Character limit: 5 Values: automatically generated: true, false - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ListPriceBase` (string) The list price base for the product rate plan charge. Enum: "Per Month", "Per Billing Period", "Per Week", "Per Year", "Per Specific Months" - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.MRR` (number) Monthly recurring revenue (MRR) is the amount of recurring charges in a given month. The MRR calculation doesn't include one-time charges nor usage charges. Character limit: 16 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.Name` (string) The name of the rate plan charge. Character limit: 100 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.NumberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. Character limit: 5 Values: inherited from ProductRatePlanCharge.NumberOfPeriod - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.OriginalId` (string) The original ID of the rate plan charge. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.OverageCalculationOption` (string) Determines when to calculate overage charges. If the value of the SmoothingMode field is null (not specified and not inherited from ProductRatePlanCharge.SmoothingMode), the value of this field is ignored. Character limit: 20 Values: inherited from ProductRatePlanCharge.OverageCalculationOption - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.OveragePrice` (number) Query Filter - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.OverageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Character limit: 20 Values: inherited from ProductRatePlanCharge.OverageUnusedUnitsCreditOption - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.Price` (number) Query Filter - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.PriceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. Character limit: Values: one of the following: - NoChange (default) - SpecificPercentageValue - UseLatestProductCatalogPricing - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.PriceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of renewed subscriptions. Use this field if the ProductRatePlanCharge.PriceChangeOption value is set to SpecificPercentageValue. Character limit: 16 Values: a decimal value between -100 and 100 - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ProcessedThroughDate` (string) The date until when charges have been processed. When billing in arrears, such as usage, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.ProductRatePlanChargeId` (string, required) The ID of the product rate plan charge associated with the subscription rate plan charge, Character limit: 32 Values: inherited from ProductRatePlanCharge.Id - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.Quantity` (number) The default quantity of units, such as the number of authors in a hosted wiki service. Valid for all charge models except for Flat Fee pricing. This field is only rquired if the charge model is tiered pricing or volume pricing. Character limit: 16 Values: a valid quantity value - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.RatePlanId` (string) The ID of the rate plan associated with the rate plan charge. Character limit: 32 Values: inherited from RatePlan.Id - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.RevRecCode` (string) Associates this product rate plan charge with a specific revenue recognition code. Character limit: 70 Values: a valid revenue recognition code - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.RevRecTriggerCondition` (string) Specifies when revenue recognition begins. Character limit: 22 Values: one of the following: - ContractEffectiveDate - ServiceActivationDate - CustomerAcceptanceDate - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.RevenueRecognitionRuleName` (string) Specifies the Revenue Recognition Rule that you want the Rate Plan Charge to use. This field can be updated when Status is Draft. By default, the Revenue Recognition Rule is inherited from the Product Rate Plan Charge. For Amend calls, you can use this field only for NewProduct amendments. For Update calls, you can use this field only to update subscriptions in draft status. Note that if you use this field to specify a Revenue Recognition Rule for the Rate Plan Charge, the rule will remain as specified even if you later change the rule used by the corresponding Product Rate Plan Charge. See [Z-Billing User Role](https://knowledgecenter.zuora.com/CF_Users_and_Administrators/A_Administrator_Settings/User_Roles/d_Billing_Roles) permission enabled to use this field. Character limit: n/a Values: name of an active Revenue Recognition Rule - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.RolloverBalance` (number) Specifies the number of units of measure (UOM) rolled over from previous periods. This field is applicable only to usage charges with overage models. Character limit: 16 Values: automatically generated Note: - You cannot query or filter this field with other fields in a single query. - To query or filter this field, you must specify and only specify the rate plan charge Id in the condition. - You cannot use this field in the query or filter condition. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.Segment` (integer) The identifying number of the subscription rate plan segment. Segments are numbered sequentially, starting with 1. Character limit: 2 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.SpecificBillingPeriod` (integer) Customizes the number of months or weeks for the charges billing period. This field is only required if you set the value of the BillingPeriod field to Specific Months or Specific Weeks. Character limit: 5 Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.SpecificEndDate` (string) The specific date on which the charge ends, in yyyy-mm-dd format. Character limit: 29 Note: - This field is only applicable when the EndDateCondition field is set to SpecificEndDate. - If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.SpecificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the ListPriceBase field to Per Specific Months. Note: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.TCV` (number) The total contract value (TCV) is the value of a single rate plan charge in a subscription over the lifetime of the subscription. This value does not represent all charges on the subscription. The TCV includes recurring charges and one-time charges, but it doesn't include usage charge. Character limit: 16 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.TriggerDate` (string) The date when the charge becomes effective and billing begins, in yyyy-mm-dd format. This field is only required if the TriggerEvent field is set to SpecificDate. Character limit: 29 - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.TriggerEvent` (string) Specifies when to start billing the customer for the charge. Note: This field can be passed through the subscribe and amend calls and will override the default value set on the Product Rate Plan Charge. Character limit: 18 Values: inherited from ProductRatePlanCharge.TriggerEvent and can be one of the following values: - ContractEffectiveis the date when the subscription's contract goes into effect and the charge is ready to be billed. When previewing invoices with the subscribe call, if a charge's trigger event is set to ContractEffective, you must also set the subscribes > SubscriptionData > Subscription > ContractEffectiveDate field to a specific date to complete your preview. You cannot leave this field as blank. - ServiceActivationis when the services or products for a subscription have been activated and the customers have access. When previewing invoices with the subscribe call, if a charge's trigger event is set to ServiceActivation, you must also set the subscribes > SubscriptionData > Subscription > ServiceActivationDate field to a specific date to complete your preview. You cannot leave this field as blank. - CustomerAcceptanceis when the customer accepts the services or products for a subscription. When previewing invoices with the subscribe call, if a charge's trigger event is set to CustomerAcceptance, you must also set the subscribes > SubscriptionData > Subscription > CustomerAcceptanceDate field to a specific date to complete your preview. You cannot leave this field as blank. - SpecificDate is valid only on the RatePlanCharge. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UOM` (string) Specifies the units to measure usage. Units of measure are configured in the web-based UI: Z-Billing > Settings. Character limit: 25 Values: inherited from ProductRatePlanCharge.UOM - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UnusedUnitsCreditRates` (number) Specifies the rate to credit a customer for unused units of usage. This field is applicable only for overage charge models when the OverageUnusedUnitsCreditOption field value is CreditBySpecificRate. Character limit: 16 Values: a valid decimal value - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UpToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Character limit: 5 Values: inherited from ProductRatePlanCharge.UpToPeriods Note: - You must use this field together with the UpToPeriodsType field to specify the time period. This field is only applicable only when the EndDateCondition field is set to FixedPeriod. - You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - Use this field to override the value in ProductRatePlanCharge.UpToPeriod. - If you override the value in this field, enter a whole number between 0 and 65535, exclusive. - If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UpToPeriodsType` (string) The period type used to define when the charge ends. This field can be updated when Status is Draft. Values: one of the following: - Billing Periods (default) - Days - Weeks - Months - Years Note: - You must use this field together with the UpToPeriods field to specify the time period. - This field is only applicable only when the EndDateCondition field is set to FixedPeriod. - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UpdatedById` (string) The ID of the last user to update the object. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UpdatedDate` (string) The date when the object was last updated. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UsageRecordRatingOption` (string) Determines how Zuora processes usage records for per-unit usage charges. Character limit: 18 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.UseDiscountSpecificAccountingCode` (boolean) Determines whether to define a new accounting code for the new discount charge. Character limit: 5 Values: inherited from ProductRatePlanCharge.UseDiscountSpecificAccountingCode - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.Version` (integer) The version of the rate plan charge. Each time a charge is amended, Zuora creates a new version of the rate plan charge. Character limit: 5 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanCharge.WeeklyBillCycleDay` (string) Specifies which day of the week as the bill cycle day (BCD) for the charge. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Values: one of the following: - Sunday - Monday - Tuesday - Wednesday - Thursday - Friday - Saturday - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier` (array) - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.CreatedById` (string) The ID of the Zuora user who created the RatePlanChargeTier object. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.CreatedDate` (string) The date when the RatePlanChargeTier object was created. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.EndingUnit` (number) The end number of a range of units for the tier. This field is only required if the charge mode is Tiered Pricing or Tierred with Overage Pricing. Character limit: 16 Values: any positive decimal value - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.IsOveragePrice` (boolean) Indicates if the price is an overage price. An overage occurs when usage surpasses the last defined tier. This field is applicable only to tier pricing and volume pricing models. Values: true, false - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.Price` (number) The price of the tier if the charge is a flat fee, or the price of each unit in the tier if the change model is tiered pricing. Character limit: 16 Values: any positive decimal value - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.PriceFormat` (string) Indicates if the price is a flat fee or is per unit. Character limit: 8 Values: FlatFee, PerUnit Enum: "FlatFee", "PerUnit" - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.RatePlanChargeId` (string, required) The ID of the subscription or amendment rate plan charge associated with this tier. You can't create an unassociated tier. Character limit: 32 Values: inherited from RatePlanCharge.Id - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.StartingUnit` (number) The start number of a range of units for the tier. This field is only required if the charge mode is Tiered Pricing or Tierred with Overage Pricing. Character limit: 16 Values: any positive decimal value - `subscribes.SubscriptionData.RatePlanData.RatePlanChargeData.RatePlanChargeTier.Tier` (integer) A unique number that identifies the tier that the price applies to. Character limit: 20 Values: automatically generated - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList` (object) - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature` (array) - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.CreatedById` (string) - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.CreatedDate` (string) Date and time when the product feature was added to the subscription. Character limit: 29 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.Description` (string) Description of the subscription product feature. Character limit: 500 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.FeatureCode` (string) Unique code of the feature. Character limit: 255 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.FeatureId` (string, required) Internal Zuora ID of the feature. Character limit: 32 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.Name` (string) Name of the feature. Character limit: 255 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.RatePlanId` (string) Id of the product rate plan to which the feature belongs. Character limit: 32 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.UpdatedById` (string) Internal Zuora ID of the user who last updated the subscription product feature. Character limit: 32 Values: - `subscribes.SubscriptionData.RatePlanData.SubscriptionProductFeatureList.SubscriptionProductFeature.UpdatedDate` (string) Date and time when the subscription product feature was last updated. Character limit: 29 Values: - `subscribes.SubscriptionData.Subscription` (object, required) Container for Subscription fields provided by Zuora Quotes. - `subscribes.SubscriptionData.Subscription.AccountId` (string) This field can be updated when Status is Draft. - `subscribes.SubscriptionData.Subscription.AncestorAccountId` (string) A filter option for querying all subscriptions under the same account hierarchy. Character limit: 32 Values: a valid account ID - `subscribes.SubscriptionData.Subscription.AutoRenew` (boolean) This field can be updated when Status is Draft. Indicates if the subscription automatically renews at the end of the term. This field is only required if the TermType field is set to TERMED. Values: true, false - `subscribes.SubscriptionData.Subscription.CancelledDate` (string) The date of the amendment that canceled the subscription. Values: inherited from Amendment.EffectiveDate - `subscribes.SubscriptionData.Subscription.ContractAcceptanceDate` (string) The date when the customer accepts the contract. This field can be updated when Status is Draft. This field is only required if the [Require Service Activation of Orders?](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) Setting is set to Yes. If this setting is set to Yes: - If ContractAcceptanceDate field is required, you must set this field, ContractAcceptanceDate, and ContractEffectiveDate fields in the subscribe call to activate a subscription. - If ContractAcceptanceDate field is not required, you must set both this field and the ContractEffectiveDate field in the subscribe call to activate a subscription. If you only set a valid date in the ContractEffectiveDate field, the subscribe call still returns success, but the subscription is in DRAT status. - `subscribes.SubscriptionData.Subscription.ContractEffectiveDate` (string, required) The date when the contract takes effect. This field can be updated when Status is Draft. Note: This field is required in the subscribe call. If you set the value of this field to null and both the ServiceActivationDate and ContractAcceptanceDate fields are not required, the subscribe call still returns success, but the new subscription is in DRAFT status. To activate the subscription, you must set a valid date to this field. - `subscribes.SubscriptionData.Subscription.CreatedById` (string) The user ID of the person who created the subscription. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.Subscription.CreatedDate` (string) The date the subscription was created. This value is the same as the OriginalCreatedDate value until the subscription is amended. Values: automatically generated - `subscribes.SubscriptionData.Subscription.CreatorAccountId` (string) The account ID that created the subscription or the amended subscription. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.Subscription.CreatorInvoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription or the amended subscription. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.Subscription.CurrentTerm` (integer) The length of the period for the current subscription term. This field is only required If the TermType field is set to TERMED and its value must be greater than 0. If TermType is set to EVERGREEN, this value is ignored. Default is 0. Character limit: 20 Values: automatically generated - `subscribes.SubscriptionData.Subscription.CurrentTermPeriodType` (string) The period type for the current subscription term. This field is used with the CurrentTerm field to specify the current subscription term. Values: - Month (default) - Year - Day - Week - `subscribes.SubscriptionData.Subscription.ExternallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `subscribes.SubscriptionData.Subscription.InitialTerm` (integer) The length of the period for the first subscription term. This field can be updated when Status is Draft. If you use the subscribe call, this field is required. This field is only required if the TermType field is set to TERMED. Character limit: 20 Values: any valid number. The default value is 0. - `subscribes.SubscriptionData.Subscription.InitialTermPeriodType` (string) The period type for the first subscription term. Values: - Month (default) - Year - Day - Week Note: - This field can be updated when Status is Draft. - This field is used with the InitialTerm field to specify the initial subscription term. - `subscribes.SubscriptionData.Subscription.InvoiceOwnerId` (string) This field can be updated when Status is Draft. - `subscribes.SubscriptionData.Subscription.IsInvoiceSeparate` (boolean) Determines if the subscription is invoiced separately. If TRUE, then all charges for this subscription are collected into the subscription's own invoice. Values: TRUE, FALSE (default) - `subscribes.SubscriptionData.Subscription.LastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `subscribes.SubscriptionData.Subscription.Name` (string) The unique identifier of the subscription. If you don't specify a value, then Zuora generates a name automatically. Whether auto-generated or manually specified, the subscription name must be unique. Otherwise an error will occur. You can change this value only when the subscription is in Draft status. Once the subscription is activated, you can't change this value, nor can you use this value for a different subscription. Character limit: 100 Values: one of the following: - leave null to automatically generate - a string of 100 characters or fewer - `subscribes.SubscriptionData.Subscription.Notes` (string) Use this field to record comments about the subscription. Character limit: 500 Values: a string of 500 characters or fewer - `subscribes.SubscriptionData.Subscription.OriginalCreatedDate` (string) The date when the subscription was originally created. This value is the same as the CreatedDate value until the subscription is amended. Values: automatically generated - `subscribes.SubscriptionData.Subscription.OriginalId` (string) The original ID of this subscription. Values: automatically generated - `subscribes.SubscriptionData.Subscription.PreviousSubscriptionId` (string) The subscription ID immediately prior to the current subscription. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.Subscription.RenewalSetting` (string) This field can be updated when Status is Draft. Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed. This field is only required if the TermType field is set to TERMED. Values: RENEW_WITH_SPECIFIC_TERM (default), RENEW_TO_EVERGREEN - `subscribes.SubscriptionData.Subscription.RenewalTerm` (integer) The length of the period for the subscription renewal term. This field can be updated when Status is Draft. If you use the subscribe call, this field is required. This field is only required if the TermType field is set to TERMED. Character limit: 20 Values: one of the following: - leave null to default to 0 - any number - `subscribes.SubscriptionData.Subscription.RenewalTermPeriodType` (string) The period type for the subscription renewal term. Values: - Month (default) - Year - Day - Week Note: - This field is used with the RenewalTerm field to specify the subscription renewal term. - This field can be updated when Status is Draft. - `subscribes.SubscriptionData.Subscription.ServiceActivationDate` (string) The date when the subscription is activated. This field can be updated when Status is Draft. This field is only required if the [Require Service Activation of Orders?](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) Setting is set to Yes. If this setting is set to Yes: - If ContractAcceptanceDate field is required, you must set this field, ContractAcceptanceDate, and ContractEffectiveDate fields in the subscribe call to activate a subscription. - If ContractAcceptanceDate field is not required, you must set both this field and the ContractEffectiveDate field in the subscribe call to activate a subscription. If you only set a valid date in the ContractEffectiveDate field, the subscribe call still returns success, but the subscription is in DRAT status. Character limit: 29 - `subscribes.SubscriptionData.Subscription.Status` (string) The status of the subscription. Character limit: 17 Values: automatically generated Possible values: one of the following: - Draft - PendingActivation - PendingAcceptance - Active - Cancelled - Expired - Suspended - `subscribes.SubscriptionData.Subscription.SubscriptionEndDate` (string) The date when the subscription term ends, where the subscription ends at midnight the day before. For example, if the SubscriptionEndDate is 12/31/2016, the subscriptions ends at midnight (00:00:00 hours) on 12/30/2016. This date is the same as the term end date or the cancelation date, as appropriate. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.Subscription.SubscriptionStartDate` (string) The date when the subscription term starts. This date is the same as the start date of the original term, which isn't necessarily the start date of the current or new term. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.Subscription.TermEndDate` (string) This field can be updated when Status is Draft. The date when the subscription term ends. If the subscription is evergreen, the TermEndDate value is null or is the cancelation date, as appropriate. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.Subscription.TermStartDate` (string) This field can be updated when Status is Draft. The date when the subscription term begins. If this is a renewal subscription, then this date is different from the subscription start date. If you don't specify a value, then Zuora uses ContractEffectiveDate automatically. Character limit: 29 - `subscribes.SubscriptionData.Subscription.TermType` (string, required) This field can be updated when Status is Draft. Indicates if a subscription is [termed or evergreen](https://knowledgecenter.zuora.com/BC_Subscription_Management/Subscriptions#Termed_and_Evergreen_Subscriptions). A termed subscription has a specific end date and requires manual renewal. An evergreen subscription doesn't have an end date and doesn't need renewal. This field can be updated when the subscription status is Draft. Character limit: 9 Values: TERMED, EVERGREEN - `subscribes.SubscriptionData.Subscription.UpdatedById` (string) The ID of the user who last updated the subscription. Character limit: 32 Values: automatically generated - `subscribes.SubscriptionData.Subscription.UpdatedDate` (string) The date when the subscription was last updated. Character limit: 29 Values: automatically generated - `subscribes.SubscriptionData.Subscription.Version` (integer) The version number of the subscription. Values: automatically generated - `subscribes.SubscriptionData.Subscription.CpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `subscribes.SubscriptionData.Subscription.OpportunityCloseDate__QT` (string) The closing date of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscribes.SubscriptionData.Subscription.OpportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscribes.SubscriptionData.Subscription.QuoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscribes.SubscriptionData.Subscription.QuoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscribes.SubscriptionData.Subscription.QuoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscribes.SubscriptionData.Subscription.IntegrationStatus__NS` (string) Status of the subscription's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.SubscriptionData.Subscription.Project__NS` (string) The NetSuite project that the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.SubscriptionData.Subscription.SalesOrder__NS` (string) The NetSuite sales order than the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscribes.SubscriptionData.Subscription.SyncDate__NS` (string) Date when the subscription was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `AccountId` (string) - `AccountNumber` (string) - `ChargeMetricsData` (object) - `ChargeMetricsData.ChargeMetrics` (array) - `ChargeMetricsData.ChargeMetrics.ChargeNumber` (string) - `ChargeMetricsData.ChargeMetrics.DMRR` (number) - `ChargeMetricsData.ChargeMetrics.DTCV` (number) - `ChargeMetricsData.ChargeMetrics.MRR` (number) - `ChargeMetricsData.ChargeMetrics.OriginalId` (string) - `ChargeMetricsData.ChargeMetrics.OriginalRatePlanId` (string) - `ChargeMetricsData.ChargeMetrics.ProductRatePlanChargeId` (string) - `ChargeMetricsData.ChargeMetrics.ProductRatePlanId` (string) - `ChargeMetricsData.ChargeMetrics.TCV` (number) - `CreditMemoData` (array) Container for credit memo data. Note: This field is only available if you have the Invoice Settlement feature enabled and set the X-Zuora-WSDL-Version request header to 107 or later. - `CreditMemoData.CreditMemo` (object) Container for credit memos. Note: This field is only available if you have the Invoice Settlement feature enabled and set the X-Zuora-WSDL-Version request header to 107 or later. - `CreditMemoData.CreditMemo.TaxAmount` (number) Tax amount on the credit memo. - `CreditMemoData.CreditMemo.TotalAmount` (number) Credit memo amount. - `CreditMemoData.CreditMemo.TotalAmountWithoutTax` (number) Credit memo amount minus tax. - `CreditMemoData.CreditMemoItem` (array) - `CreditMemoData.CreditMemoItem.AmountWithoutTax` (number) The credit memo item amount excluding tax. - `CreditMemoData.CreditMemoItem.ChargeName` (string) Name of this credit memo item. - `CreditMemoData.CreditMemoItem.Description` (string) Description of this credit memo item. - `CreditMemoData.CreditMemoItem.ProductRatePlanChargeId` (string) ID of the product rate plan charge associated with this credit memo item. - `CreditMemoData.CreditMemoItem.Quantity` (integer) Quantity of the charge associated with this credit memo item. - `CreditMemoData.CreditMemoItem.ServiceEndDate` (string) End date of the service period for this credit memo item, as yyyy-mm-dd. - `CreditMemoData.CreditMemoItem.ServiceStartDate` (string) Service start date of this credit memo item, as yyyy-mm-dd. - `CreditMemoData.CreditMemoItem.TaxAmount` (number) The tax amount of the credit memo item. - `CreditMemoData.CreditMemoItem.UnitOfMeasure` (string) Unit used to measure consumption. - `CreditMemoData.TaxationItemDat
[...]
